#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: hOpenPGP
version: 2.7.4.1
id: hOpenPGP-2.7.4.1-GIyD2z3NGh4IYQHUexcNz
key: hOpenPGP-2.7.4.1-GIyD2z3NGh4IYQHUexcNz
license: MIT
copyright: 2012-2018  Clint Adams
maintainer: Clint Adams <clint@debian.org>
author: Clint Adams
homepage: https://salsa.debian.org/clint/hOpenPGP
synopsis: native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)
category: Codec, Data
abi: 55f9180663047c346122285bb68e8de9
exposed: True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify
hidden-modules: Codec.Encryption.OpenPGP.Internal
                Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
                Codec.Encryption.OpenPGP.Internal.Cryptonite
                Codec.Encryption.OpenPGP.Internal.HOBlockCipher
                Codec.Encryption.OpenPGP.SerializeForSigs
                Codec.Encryption.OpenPGP.Types.Internal.Base
                Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
                Codec.Encryption.OpenPGP.Types.Internal.PacketClass
                Codec.Encryption.OpenPGP.Types.Internal.PKITypes
                Codec.Encryption.OpenPGP.Types.Internal.Pkt
                Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
                Codec.Encryption.OpenPGP.Types.Internal.TK
                Codec.Encryption.OpenPGP.BlockCipher
import-dirs: /usr/lib/ghc-8.4.3/site-local/hOpenPGP-2.7.4.1
library-dirs: /usr/lib/ghc-8.4.3/site-local/hOpenPGP-2.7.4.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/hOpenPGP-2.7.4.1
hs-libraries: HShOpenPGP-2.7.4.1-GIyD2z3NGh4IYQHUexcNz
depends:
    aeson-1.4.1.0-DC05NYridW9CuV0L6TLprZ
    asn1-encoding-0.9.5-5VYuH3fYpx4BhVRIT01sYH
    attoparsec-0.13.2.2-LRNbjQIitwn4Jmo3hCxwCI base-4.11.1.0
    base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    bifunctors-5.5.3-3XaYXKl1per2uCRyStB14t bytestring-0.10.8.2
    bzlib-0.5.0.5-I5HFtx2qcsm7rM1vX9uO9x binary-0.8.5.1
    binary-conduit-1.3.1-I5TvCwyo4KuCIQRsSKiNvv
    conduit-1.3.1-JR2jMm57F9p4PvlZ0CCgmp
    conduit-extra-1.3.0-1ceQCG5GhpiGMqgNrteXTC containers-0.5.11.0
    cryptonite-0.25-FGChimResic4ujDRfnuPjv
    crypto-cipher-types-0.0.9-EWk0jumiXj3KrML8ob3vUH
    errors-2.3.0-FkWtMDbTCAG9tQYZlLuJEI
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    incremental-parser-0.3.2-ICJNeEmRben9xkeAruVUuB
    ixset-typed-0.4.0.1-EzIwbWbtjHxFa0UEbpaYLW
    lens-4.17-FN9L27noKQw4oT5eFMxJrD
    memory-0.14.18-9akydHRk1ZP1zabNg9e0SJ
    monad-loops-0.4.3-2NGNwTmuzQ8HUga17olMGs
    nettle-0.3.0-2PZm5TrndJe33fDWFzllvo
    newtype-0.2-ITmrBJ3PFy1E3eiFCi9Xkw
    openpgp-asciiarmor-0.1.1-J2v9sPQE8MkFzHUHOSdfRb
    prettyprinter-1.2.1-4xslLShjz2e2XDfIqKCkbT
    resourcet-1.2.2-4JidlQy3pgh1sp3zp97uMg
    split-0.2.3.3-DYHuRk05Zl3FsXrGVgC4fG text-1.2.3.0 time-1.8.0.2
    time-locale-compat-0.1.1.5-DDznVvFVEsmlk0WqJppPg
    transformers-0.5.5.0 unliftio-core-0.1.2.0-900TPot3SR34dceIcVaslS
    unordered-containers-0.2.9.0-EtLPGprUM82GTPrcqDz1YE
    zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH
    network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
abi-depends: aeson-1.4.1.0-DC05NYridW9CuV0L6TLprZ=2dabf93ee02d5485cbe316a08ea94024
             asn1-encoding-0.9.5-5VYuH3fYpx4BhVRIT01sYH=604feb6d7beb660673c20e16a9c8f6af
             attoparsec-0.13.2.2-LRNbjQIitwn4Jmo3hCxwCI=4a615f6f9c3fdb3bc12ed255f597d820
             base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh=0cc0842c69ffec2c0f1c4a27d1f518e1
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=6373b2ec1ae2585bcca6cddbee5d3e75
             bifunctors-5.5.3-3XaYXKl1per2uCRyStB14t=8c9b3f547859a93fa6b71762e5f0dd7a
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             bzlib-0.5.0.5-I5HFtx2qcsm7rM1vX9uO9x=856b74462f46f0b4736f48f7d1b5cd01
             binary-0.8.5.1=758db3c95031800de821949083b71c7f
             binary-conduit-1.3.1-I5TvCwyo4KuCIQRsSKiNvv=2d5936c03ef5200e05b77432629412df
             conduit-1.3.1-JR2jMm57F9p4PvlZ0CCgmp=16734a62a84599c1bebef0162694b893
             conduit-extra-1.3.0-1ceQCG5GhpiGMqgNrteXTC=230128ec55e38b00393d33cbdc0833cf
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             cryptonite-0.25-FGChimResic4ujDRfnuPjv=29137cb7d1f614608fd8f81085dbaf61
             crypto-cipher-types-0.0.9-EWk0jumiXj3KrML8ob3vUH=b606797ba90c9dd59b736fcc08c884f2
             errors-2.3.0-FkWtMDbTCAG9tQYZlLuJEI=ab011b81b57f60d804e3d3f02d2ca783
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=ad8d36b5596969152937469512f0d3b1
             incremental-parser-0.3.2-ICJNeEmRben9xkeAruVUuB=3889612b1283c61a460ebb0a12d0f8ae
             ixset-typed-0.4.0.1-EzIwbWbtjHxFa0UEbpaYLW=2654eac7991bc597577b4b7e4bfabf9f
             lens-4.17-FN9L27noKQw4oT5eFMxJrD=9d01995e95a18f3d833dbe44dd027bc7
             memory-0.14.18-9akydHRk1ZP1zabNg9e0SJ=a6560a06cd4458200b1075ace7506fc2
             monad-loops-0.4.3-2NGNwTmuzQ8HUga17olMGs=8f6673eb67ce392bdddb2c5970e7d454
             nettle-0.3.0-2PZm5TrndJe33fDWFzllvo=b5c70943c5e4ba4d9b7f9b2c236b0dc2
             newtype-0.2-ITmrBJ3PFy1E3eiFCi9Xkw=2753ad7f09bb3742017169e64f653c7d
             openpgp-asciiarmor-0.1.1-J2v9sPQE8MkFzHUHOSdfRb=f06620b19e853cf919cc75c9dcd2cbc1
             prettyprinter-1.2.1-4xslLShjz2e2XDfIqKCkbT=06f18418525ce46151629ff8b92a31b7
             resourcet-1.2.2-4JidlQy3pgh1sp3zp97uMg=4d4f7e54bda4225324828951165b6e2b
             split-0.2.3.3-DYHuRk05Zl3FsXrGVgC4fG=ea4c73c7e93df299ddc7c8e477e863d6
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             time-1.8.0.2=976962cc6498b843f1efb5bef740838e
             time-locale-compat-0.1.1.5-DDznVvFVEsmlk0WqJppPg=0dc91a1ae9a857b8c5071d88d21ad3c6
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             unliftio-core-0.1.2.0-900TPot3SR34dceIcVaslS=f455d126eaad42d9d326e7b0a54e0e51
             unordered-containers-0.2.9.0-EtLPGprUM82GTPrcqDz1YE=d999168fa5a35d048ce4f3e0442b4ae6
             zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH=ef1ac153a45a86b7156d838914c2c4aa
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=1c5b19d707f7ce4714ffa81cd536dbf4
haddock-interfaces: /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html: /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

